* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: 0;
}

:root {
  --color-fondo-pantalla: #1a1a1a;    
  --color-blanco-header-parrafos: #D9D9D9;
  --color-encabezado-footer: #111111; 
  --color-verde-lima: #B9D326;
  --color-lila-claro: #7a70cc;       
  --color-verde-borde: #73a007;            
  --color-titulo-subtitulos: #B9D326;        
}


body {
  background-color: var(--color-fondo-pantalla);
  font-family: 'multi-display', sans-serif;
  color: var(--color-texto-principal);
}


header {
  background-color: var(--color-blanco-header-parrafos);
  padding: 0.5rem 1rem;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  text-align: center;

  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap; 
  gap: 12px;
  
}

.boton_menu {
  display: inline-block;
  margin: 0 0.5rem;
}

.boton_menu a {
  background-color: #242424; 
  color: var(--color-lila-claro);            
  text-decoration: none;
  padding: 0.6rem 1.6rem;
  border-radius: 8px;        
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
  font-weight: 600;
  display: inline-block;
  transition: all 0.2s ease;
}


header img {
  width: 60px;
  margin-bottom: 0.2rem; 
  display: inline-block;
}

main {
  background-color: var(--color-fondo-pantalla); 
  padding: 3rem 2rem;
  max-width: 1050px;
  margin-inline: auto;
}

h1, h2, h3, h4 {
  font-family: 'multi-display', sans-serif;
}

h1 {
  color: var(--color-titulo-subtitulos);
  font-family: 'multi-display', sans-serif;
  font-size: 4rem;
  margin-bottom: 0.5rem;
  text-align: center;
  font-weight: 800;
  font-synthesis: none;
}

h1 span {
  font-family: multi-display, sans-serif;
  font-weight: 800;                             
  font-style: italic; 
}

h2 {
  color: var(--color-titulo-subtitulos);
  font-family: multi-display, sans-serif;
  font-size: 1.8rem;
  font-weight: 500; 
  font-synthesis: none;  
 
  display: block; 
  text-align: center;  
  width: 100%;  
  max-width: 900px;                
  margin: 4.5rem auto 2.5rem auto;
  padding: 0 1.5rem;   
}

h2 span {
  font-family: multi-display, sans-serif;
  font-weight: 500;   
  font-style: italic; 
}

p {
  color: var(--color-blanco-header-parrafos);
  line-height: 1.8; 
  font-size: 1.1rem;
  max-width: 850px; 
  margin-inline: auto;
  text-align: center; 
  margin-bottom: 2rem;
  font-family: multi-display, sans-serif;
  font-weight: 300;
  font-synthesis: none;
  line-height: 1.4;
}

p .resaltado { 
  color: var(--color-blanco-header-parrafos);             
  padding: 0.1rem 0.2rem;      
  border-radius: 4px;          
  font-weight: 500;            
}


.foto-perfil {
  display: block;
  margin-inline: auto; 
  width: 100%; 
  max-width: 600px; 
  height: auto;
  object-fit: contain; 
  margin-top: -2rem;
  margin-bottom: 0.5rem; 
  border: none; 
  outline: none;
}


.grilla-materias {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
  gap: 15px;
}

.tarjeta-anio {
  background-color: var(--color-blanco-header-parrafos); 
  border-radius: 10px; 
  padding: 1rem 1rem 1.5rem 1rem;  
  border: 2px solid var(--color-lila-claro); 
}

.tarjeta-anio h3 {
  text-align: center;
  color: #1a1a1a; 
  font-size: 1.10rem;
  margin-top: 0;
  margin-bottom: 1.2rem;
  border-bottom: 2px solid var(--color-lila-claro); 
  padding-bottom: 0.4rem; 
  margin-bottom: 0.4rem;  
  font-family: multi-display, sans-serif;
  font-weight: 400; 
  font-synthesis: none;
}

.tarjeta-anio ul {
  padding: 0;
  margin: 0;
}

.tarjeta-anio li {
  list-style: none; 
  color: #222222;
  font-size: 0.85rem;
  padding: 0.7rem 0; 
  border-bottom: 1px solid var(--color-lila-claro); 
  margin: 0;
  text-align: center; 
  font-family: multi-display, sans-serif;
  font-weight: 300; 
  font-synthesis: none;
}

.tarjeta-anio li:last-child {
  border-bottom: none;
}


.contenedor-iconos {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1.5rem;
  margin-bottom: 2rem;
  padding: 0 1rem; 
  width: 100%;
}

.icono-soft {
  width: 100px;
  height: 100px;
  object-fit: contain;
}


.grilla-companeras {
  display: flex;
  justify-content: center;
  gap: 2rem;
  max-width: 300px;
  margin-inline: auto;
}

.tarjeta-companera a {
  display: block;
  text-decoration: none;
  color: inherit; 
  width: 100%;
  height: 100%;
}

.tarjeta-companera {
  background-color: var(--color-blanco-header-parrafos);
  border-radius: 5px;
  padding: 1.5rem;
  text-align: center;
  flex: 1;
  border: 1px solid #eaeaea;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
  transition: all 0.3s ease;
}

.tarjeta-companera img {
  width: 100%;
  height: auto;
  object-fit: contain;
  border-radius: 12px;
  margin-bottom: 0.2rem;
}

.tarjeta-companera h3 {
  color: #1a1a1a;
  margin-top: 0;
  margin-bottom: 0.3rem;
  font-family: multi-display, sans-serif;
  font-weight: 400; 
  font-size: 1.75rem; 
  font-synthesis: none; 
  line-height: 1.15;
}

.tag-rol {
  display: inline-block;
  background-color: var(--color-lila-claro);
  color: var(--color-fondo-pantalla);
  padding: 0.4rem 1.4rem;
  border-radius: 10px;
  margin-top: 0;
  font-size: 1.5rem;
  font-weight: 300;
  letter-spacing: 0.5px;
}

.tag-rol:hover {
  background-color: var(--color-titulo-subtitulos);
}

.bloque-contacto {
  background-color: var(--color-blanco-header-parrafos);
  border-radius: 25px;
  padding: 2rem;
  max-width: 800px;
  margin-inline: auto;
  text-align: center;
  margin-top: 4rem;
}

.bloque-contacto h2 {
  color: var(--color-titulo-subtitulos);
  margin-top: 0;
  margin-bottom: 1.5rem;
}

.botones-contacto {
  display: flex;
  justify-content: center;
  gap: 1rem;
}

.btn-contacto {
  background-color: #6366f1;
  color: white;
  text-decoration: none;
  padding: 0.6rem 1.5rem;
  border-radius: 50px;
  font-weight: 500;
  font-size: 0.95rem;
  transition: background-color 0.2s;
}


footer {
  padding: 3rem 2rem;
  background-color: var(--color-encabezado-footer);
  color: #aaaaaa;
  margin-top: 6rem;
  border-top-left-radius: 40px;
  border-top-right-radius: 40px;
  border-top: 1px solid #333;
}

.grilla-footer {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  max-width: 1050px;
  margin-inline: auto;
  padding-bottom: 0.5rem;
  padding-top: 3rem;
}

.logo-uba {
  height: 40px;
}

.logo-fadu {
  height: 28px;  
}

.logo-dgpc {
  height: 28px;  
}

.col-fadu h4 {
  color: var(--color-blanco-header-parrafos);
  font-size: 1.15rem;
  font-weight: 700; 
  margin-bottom: 0.5rem;
  border-left: 3px solid var(--color-titulo-subtitulos); 
  padding-left: 0.5rem;
  text-align: left;
}

.institucion-uba, 
.institucion-fadu, 
.catedra-diseño {
  font-size: 0.95rem;
  font-weight: 400; 
  color: var(--color-blanco-header-parrafos);
  margin-top: 0;
  margin-bottom: 1.4rem;
  text-align: left;
}

.col-fadu .linea-cargo {
  font-size: 0.85rem;
  font-weight: 300; 
  color: var(--color-blanco-header-parrafos);
  margin-bottom: 0.6rem;
  line-height: 1.6;
  text-align: left;
}

.col-fadu .nombre-autoridad {
  font-weight: 300; 
  color: var(--color-blanco-header-parrafos);   
  padding-left: 0.15rem;
}

.legales-footer {
  max-width: 1050px;
  margin-inline: auto;
  margin-top: 2rem;
  display: flex;
  align-items: center;
  gap: 2rem;
}

.legales-footer p {
  text-align: left;
  font-size: 0.75rem;
  color: #666666;
  margin: 0;
}

.boton_menu a:hover {
  background-color: var(--color-verde-borde);
  box-shadow: 0 6px 15px var(--color-verde-borde); 
  color: white;
}


.btn-contacto:hover {
  background-color: var(--color-titulo-subtitulos);
}
